;; quail/telex.el -- Quail packages for inputting Vietnamese with Telex system

;; Copyright (C) 1997 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Keywords: multilingual, input method, latin

;; This file is NOT part of GNU Emacs.

;; GNU Emacs is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; GNU Emacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(require 'quail)
(require 'viet-util)

;; `viet-telex-alist' is an alist of Vietnamese characters vs
;; corresponding Telex strings.  We create Quail map which maps Telex
;; strings to corresponding Vietnamese characters.

(defmacro viet-telex-quail-define-rules ()
  (cons 'quail-define-rules
	(let ((l viet-telex-alist)
	      rules)
	  (while l
	    (setq rules (cons (list (cdr (car l)) (car (car l))) rules))
	    (setq l (cdr l)))
	  rules)))

(quail-define-package
 "vietnamese-telex" "Vietnamese" "VT" t
 "Vietnamese input method with Telex mnemonic system

" nil t t nil nil t nil nil nil nil t)


(viet-telex-quail-define-rules)

;;; quail/telex.el ends here
